var $Map_eng        = null;
DataManager._databaseFiles.push(
{ name: '$Map_eng', src: 'Map_eng.json'}
);

// Show Text
Game_Interpreter.prototype.command101 = function(params) {
  var language = $gameVariables.value(25);
  if ($gameMessage.isBusy()) {
      return false;
  }
  $gameMessage.setFaceImage(params[0], params[1]);
  $gameMessage.setBackground(params[2]);
  $gameMessage.setPositionType(params[3]);
  $gameMessage.setSpeakerName(params[4]);
  while (this.nextEventCode() === 401) {
      // Text data
      this._index++;
      var key = this.currentCommand().parameters[0];
      switch (language) {
        case 0:
          $gameMessage.add(this.currentCommand().parameters[1]);
          break;
        case 1:
          var eng = $Map_eng[0][key][1];
          $gameMessage.add(eng);
          break;
        case 2:
          var eng = $Map_eng[0][key][2];
          $gameMessage.add(eng);
          break;
        case 3:
          var eng = $Map_eng[0][key][3];
          $gameMessage.add(eng);
          break;
        default:
          break;
      }
  }
  switch (this.nextEventCode()) {
      case 102: // Show Choices
          this._index++;
          this.setupChoices(this.currentCommand().parameters);
          break;
      case 103: // Input Number
          this._index++;
          this.setupNumInput(this.currentCommand().parameters);
          break;
      case 104: // Select Item
          this._index++;
          this.setupItemChoice(this.currentCommand().parameters);
          break;
  }
  this.setWaitMode("message");
  return true;
};

// var $Map_eng        = null;
// DataManager._databaseFiles.push(
// { name: '$Map_eng', src: 'Map_eng.json'}
// );

// // Show Text
// Game_Interpreter.prototype.command101 = function(params) {
//   var language = $gameVariables.value(25);
//   if ($gameMessage.isBusy()) {
//       return false;
//   }
//   $gameMessage.setFaceImage(params[0], params[1]);
//   $gameMessage.setBackground(params[2]);
//   $gameMessage.setPositionType(params[3]);
//   $gameMessage.setSpeakerName(params[4]);
//   while (this.nextEventCode() === 401) {
//       // Text data
//       this._index++;
//       var key = this.currentCommand().parameters[0];
//       switch (language) {
//         case 0:
//           $gameMessage.add(this.currentCommand().parameters[0]);
//           break;
//         case 1:
//           var eng = $Map_eng[0][key][0];
//           $gameMessage.add(eng);
//           break;
//         case 2:
//           var eng = $Map_eng[0][key][1];
//           $gameMessage.add(eng);
//           break;
//         case 3:
//           var eng = $Map_eng[0][key][2];
//           $gameMessage.add(eng);
//           break;
//         default:
//           break;
//       }
//   }
//   switch (this.nextEventCode()) {
//       case 102: // Show Choices
//           this._index++;
//           this.setupChoices(this.currentCommand().parameters);
//           break;
//       case 103: // Input Number
//           this._index++;
//           this.setupNumInput(this.currentCommand().parameters);
//           break;
//       case 104: // Select Item
//           this._index++;
//           this.setupItemChoice(this.currentCommand().parameters);
//           break;
//   }
//   this.setWaitMode("message");
//   return true;
// };